Bug 134099 - citrix client updated to release 11.0
Summary: citrix client updated to release 11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-29 19:40 UTC by Helio Loureiro
Modified: 2009-06-13 02:45 UTC (History)
0 users

See Also:


Attachments
patch_citrix.diff (3.93 KB, patch)
2009-04-29 20:16 UTC, Helio Loureiro
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helio Loureiro 2009-04-29 19:40:02 UTC
Citrix client was updated to release 11.0, and there isn't another alternative to download previous releases from the main site.

Fix: 

Applying the patches without MD5 verification is failing at all:

musashi# make NO_CHECKSUM=yes build
===>  Extracting for citrix_ica-10.6_1
===>  Patching for citrix_ica-10.6_1
===>  Applying FreeBSD patches for citrix_ica-10.6_1
2 out of 5 hunks failed--saving rejects to linuxx86/hinst.rej
=> Patch patch-linuxx86::hinst failed to apply cleanly.
*** Error code 1

I'll try to apply manually the changes and create new patches later.
How-To-Repeat: Browse the page "http://www.citrix.com/English/SS/downloads/details.asp?dID=2755&downloadID=3323&pID=186" and it will show just the new release.
Comment 1 Helio Loureiro 2009-04-29 20:16:39 UTC
Fixed installation by attached patch.

Unfortunately causing core dump during execution:

helio@musashi:~$ wfica
Warning: locale not supported by C library, locale unchanged
Segmentation fault: 11

-- 
[]´s
Helio Loureiro
Comment 2 Thomas Abthorpe freebsd_committer 2009-04-29 21:14:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 3 Helio Loureiro 2009-04-29 23:16:56 UTC
For some reason, attachment was scrambled in a cryptographic way.  So
I'm copying and pasting here:

diff -u -r citrix_ica.orig/Makefile citrix_ica/Makefile
--- citrix_ica.orig/Makefile	2009-03-21 20:28:20.000000000 -0300
+++ citrix_ica/Makefile	2009-04-29 16:10:37.000000000 -0300
@@ -6,8 +6,8 @@
 #

 PORTNAME=3D	citrix_ica
-PORTVERSION=3D	10.6
-PORTREVISION=3D	1
+PORTVERSION=3D	11.0
+PORTREVISION=3D	140395
 CATEGORIES=3D	net comms linux
 MASTER_SITES=3D
 DISTNAME=3D	${PORTNAME}-linuxx86-${PORTVERSION}
@@ -48,7 +48,7 @@
 	@${ECHO} ""
 	@${ECHO} "http://www.citrix.com/English/SS/downloads/details.asp?dID=3D27=
55&downloadID=3D3323&pID=3D186"
 	@${ECHO} ""
-	@${ECHO} "Once en.linuxx86.tar.gz has been downloaded move it to"
+	@${ECHO} "Once linuxx86-11.0.140395.tar.gz downloaded move it to"
 	@${ECHO} "${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} and restart the build."
 	@${ECHO} ""
 	@${FALSE}
diff -u -r citrix_ica.orig/distinfo citrix_ica/distinfo
--- citrix_ica.orig/distinfo	2007-07-04 05:20:19.000000000 -0300
+++ citrix_ica/distinfo	2009-04-29 16:12:44.000000000 -0300
@@ -1,3 +1,3 @@
-MD5 (citrix_ica-linuxx86-10.6.tar.gz) =3D 72e2f7ef05444bc978ad1fc9da38275a
-SHA256 (citrix_ica-linuxx86-10.6.tar.gz) =3D
4bd5440856f65232dc69e33010dc5c55f597a56f4c26309ac53bef189aaee6fc
-SIZE (citrix_ica-linuxx86-10.6.tar.gz) =3D 1801486
+MD5 (citrix_ica-linuxx86-11.0.tar.gz) =3D 474182de909ebae07adc6f6ff35428d8
+SHA256 (citrix_ica-linuxx86-11.0.tar.gz) =3D
641bf68e78b07768566207f7a7f7c4cc1345d5c08d875dafb133f7b5dd5a7301
+SIZE (citrix_ica-linuxx86-11.0.tar.gz) =3D 2220688
diff -u -r citrix_ica.orig/files/patch-linuxx86::hinst
citrix_ica/files/patch-linuxx86::hinst
--- citrix_ica.orig/files/patch-linuxx86::hinst	2007-03-20
15:42:25.000000000 -0300
+++ citrix_ica/files/patch-linuxx86::hinst	2009-04-29 16:08:23.000000000 -0=
300
@@ -1,6 +1,6 @@
---- linuxx86/hinst.orig	Tue Oct 31 07:07:08 2006
-+++ linuxx86/hinst	Mon Mar  5 12:26:02 2007
-@@ -86,7 +86,7 @@
+--- linuxx86/hinst.orig	2009-02-26 06:22:26.000000000 -0300
++++ linuxx86/hinst	2009-04-29 16:05:20.000000000 -0300
+@@ -105,7 +105,7 @@
  fi

  #  Install in here by default.
@@ -9,7 +9,7 @@

  #  Default CDROM mount point
  DefaultCDSourceDir=3D/cdrom
-@@ -2217,7 +2217,7 @@
+@@ -1965,7 +1965,7 @@
  	then
  		:
  	else
@@ -18,7 +18,7 @@
  		return
  	fi

-@@ -2263,7 +2263,7 @@
+@@ -2090,7 +2090,7 @@
  		fi
  	fi

@@ -26,8 +26,8 @@
 +	/usr/bin/true
  }

- #########################################################################=
######
-@@ -2387,26 +2387,19 @@
+ #!/bin/sh
+@@ -2184,26 +2184,19 @@

  netscape_integrate()
  {
@@ -39,7 +39,7 @@
    else
      search_ok=3D0
 -    EXTRA_BROWSERS=3D`find_browsers`
--
+
 -    if  test -d "/usr/lib/netscape"\
 -	|| test -d "/usr/local/netscape"\
 -	|| test -d "/opt/netscape"\
@@ -48,26 +48,22 @@
 -	|| test "$MOZILLA_HOME" !=3D "" -a -d "$MOZILLA_HOME"\
 -	|| test "$EXTRA_BROWSERS" !=3D ""
 -    then
-+
-+    case ${FOUND_NS} in
-+    TRUE)
++     case ${FOUND_NS} in
++        TRUE)
    	user_echo $integrate_netscape3
    	found_netscape
 -    else
-+	;;
-+    *)
- 	user_prompt $integrate_netscape2
++        ;;
++        *)
+ 	user_prompt "$integrate_netscape2"
   	getyesno $INSTALLER_NO
  	if [ "$ANSWER" =3D "$INSTALLER_YES" ]
-@@ -2415,9 +2408,9 @@
+@@ -2212,7 +2205,7 @@
  	else
    		user_echo $integrate_netscape6
  	fi
-+	;;
+-    fi
 +    esac
-     fi
--  fi
--
-     # Create utility script files in install root.
-     create_wfica_script
-     create_wfica_assoc_script
+   fi
+
+   # Create utility script files in install root.
diff -u -r citrix_ica.orig/files/patch-setupwfc citrix_ica/files/patch-setu=
pwfc
--- citrix_ica.orig/files/patch-setupwfc	2007-01-23 05:13:08.000000000 -030=
0
+++ citrix_ica/files/patch-setupwfc	2009-04-29 16:08:23.000000000 -0300
@@ -1,6 +1,6 @@
---- setupwfc.orig	Fri Apr  8 13:52:46 2005
-+++ setupwfc	Mon Jan 22 10:10:48 2007
-@@ -396,7 +396,7 @@
+--- setupwfc.orig	2009-04-29 16:00:52.000000000 -0300
++++ setupwfc	2009-04-29 16:00:14.000000000 -0300
+@@ -559,7 +559,7 @@
  	*BSD)
                 # Assume Free/Net/Open BSD on an X86 with Linux emulation.

--=20
[]=B4s
Helio Loureiro
Comment 4 Thomas Abthorpe freebsd_committer 2009-04-30 19:04:20 UTC
State Changed
From-To: open->analyzed

Wait for linux emulation to catch up
Comment 5 Thomas Abthorpe freebsd_committer 2009-06-01 18:48:31 UTC
State Changed
From-To: analyzed->open

Emulation has caught up, x11-toolkits/linux-f8-openmotif
Comment 6 dfilter service freebsd_committer 2009-06-12 21:23:27 UTC
tabthorpe    2009-06-12 20:23:14 UTC

  FreeBSD ports repository

  Modified files:
    net/citrix_xenapp    Makefile distinfo pkg-descr pkg-plist 
    net/citrix_xenapp/files patch-linuxx86::hinst 
  Log:
  - Update to 11.0.140395
  - Read http://wiki.freebsd.org/ThomasAbthorpe/CitrixOnFreeBSD before installation
  
  PR:             ports/134099 (based on)
  Submitted by:   Helio Loureiro <helio@loureiro.eng.br>
  
  Revision  Changes    Path
  1.54      +9 -6      ports/net/citrix_xenapp/Makefile
  1.19      +3 -3      ports/net/citrix_xenapp/distinfo
  1.10      +17 -26    ports/net/citrix_xenapp/files/patch-linuxx86::hinst
  1.8       +6 -15     ports/net/citrix_xenapp/pkg-descr
  1.14      +83 -7     ports/net/citrix_xenapp/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Thomas Abthorpe freebsd_committer 2009-06-13 02:45:12 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!